#!/bin/sh
# test basic dbacl -O switch
PATH=/bin:/usr/bin
DBACL=$TESTBIN/dbacl

prerequisite_command() {
    type $2 2>&1 > /dev/null
    if [ 0 -ne $? ]; then
        echo "$1: $2 not found, test will be skipped"
        exit 77
    fi
}

prerequisite_command $0 grep

DBACL_PATH="`pwd`/`basename $0 .sh`_`date +"%Y%m%dT%H%M%S"`"
export DBACL_PATH

mkdir "$DBACL_PATH"

(echo "From -" ; cat ${sourcedir}/sample.spam-1 ; echo ; echo "From -" ; cat ${sourcedir}/sample.spam-2 ; echo ; echo "From -" ; cat ${sourcedir}/sample.spam-3) \
    | $DBACL -0 -l dummy -T email -X -d \
    | grep -v '^# alpha' \
    | grep -v '^# shannon' \
    > $DBACL_PATH/dump1
head -3 $DBACL_PATH/dummy \
    | grep '^# hash' \
    > $DBACL_PATH/out1

(echo "From -" ; cat ${sourcedir}/sample.spam-1) \
    | $DBACL -0 -l dummy1 -T email -o dummy1.onl -X

(echo "From -" ; cat ${sourcedir}/sample.spam-2) \
    | $DBACL -0 -l dummy2 -T email -o dummy2.onl -X

(echo "From -" ; cat ${sourcedir}/sample.spam-3) \
    | $DBACL -0 -l dummy -T email -O dummy1.onl -O dummy2.onl -X -d \
    | grep -v '^# alpha' \
    | grep -v '^# shannon' \
    > $DBACL_PATH/dump2
head -3 $DBACL_PATH/dummy \
    | grep '^# hash' \
    > $DBACL_PATH/out2


# test x"`cat $DBACL_PATH/out1`" = x"`cat $DBACL_PATH/out2`"
diff $DBACL_PATH/dump1 $DBACL_PATH/dump2

RESULT=$?
rm -rf "$DBACL_PATH"

exit $RESULT